<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:35 GMT 2018 -->
<title>UnicodeConverter</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UnicodeConverter";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UnicodeConverter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/TreeNode.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/XmlParser.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/UnicodeConverter.html" target="_top">Frames</a></li>
<li><a href="UnicodeConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">mapping</div>
<h2 title="Class UnicodeConverter" class="title">Class UnicodeConverter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>mapping.UnicodeConverter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">UnicodeConverter</span>
extends java.lang.Object</pre>
<div class="block">Utility class to convert to and from unicode hex representation. Also 
 allows checking of valid Unicode. Note that the notation /u0000 is preferred 
 here instead of the more conventional U+0000. This is simply to be consistent 
 with the notation that Java uses.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Matthew Henderson - University of Glasgow Masters Project 2018</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#UnicodeConverter--">UnicodeConverter</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#convertHexToInt-java.lang.String-">convertHexToInt</a></span>(java.lang.String&nbsp;unicode)</code>
<div class="block">Returns the integer representation of a unicode character.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#convertIntToHex-int-">convertIntToHex</a></span>(int&nbsp;character)</code>
<div class="block">Returns the unicode representation of a given character.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#getJavaUnicodeChar-int-">getJavaUnicodeChar</a></span>(int&nbsp;unicodeInt)</code>
<div class="block">Returns the character representation of a Unicode integer as a string.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#getJavaUnicodeChar-java.lang.String-">getJavaUnicodeChar</a></span>(java.lang.String&nbsp;unicodeString)</code>
<div class="block">Returns the character representation of a Unicode hex as a string.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#isUnicodeHexString-java.lang.String-">isUnicodeHexString</a></span>(java.lang.String&nbsp;hex)</code>
<div class="block">Checks if a string is a valid Unicode hexadecimal.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UnicodeConverter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UnicodeConverter</h4>
<pre>public&nbsp;UnicodeConverter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="convertIntToHex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertIntToHex</h4>
<pre>public static&nbsp;java.lang.String&nbsp;convertIntToHex(int&nbsp;character)</pre>
<div class="block">Returns the unicode representation of a given character.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>character</code> - the integer representation of the character</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the unicode String</dd>
</dl>
</li>
</ul>
<a name="convertHexToInt-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertHexToInt</h4>
<pre>public static&nbsp;int&nbsp;convertHexToInt(java.lang.String&nbsp;unicode)</pre>
<div class="block">Returns the integer representation of a unicode character. 
 Returns zero if the String is not a valid unicode string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>unicode</code> - the unicode string</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the integer representation of the character</dd>
</dl>
</li>
</ul>
<a name="isUnicodeHexString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUnicodeHexString</h4>
<pre>public static&nbsp;boolean&nbsp;isUnicodeHexString(java.lang.String&nbsp;hex)</pre>
<div class="block">Checks if a string is a valid Unicode hexadecimal. 
 Note that this is the string in the format \\u + hex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hex</code> - the string to be checked</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the string is a a valid 
                                Hexadecimal string, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getJavaUnicodeChar-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaUnicodeChar</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getJavaUnicodeChar(int&nbsp;unicodeInt)</pre>
<div class="block">Returns the character representation of a Unicode integer as a string. 
 e.g. 65 would return "A". This is useful because java components don't 
 display characters so a string must be made.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>unicodeInt</code> - the Unicode integer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the character representation of the Unicode</dd>
</dl>
</li>
</ul>
<a name="getJavaUnicodeChar-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getJavaUnicodeChar</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getJavaUnicodeChar(java.lang.String&nbsp;unicodeString)</pre>
<div class="block">Returns the character representation of a Unicode hex as a string. 
 eg A would return "A". This is useful because java components don't 
 display characters so a string must be made.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>unicodeString</code> - the unicode hex string</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the character representation of the hex</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UnicodeConverter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/TreeNode.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/XmlParser.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/UnicodeConverter.html" target="_top">Frames</a></li>
<li><a href="UnicodeConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
